ValidationRequest (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.repair.messages

## Class ValidationRequest

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.ValidationRequest

-     public class ValidationRequest
      extends RepairMessage

  ValidationRequest
  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValidationRequest.ValidationRequestSerializer`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `gcBefore`
    `static RepairMessage.MessageSerializer` | `serializer`

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationRequest(RepairJobDesc desc, int gcBefore)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static RepairMessage.MessageSerializer serializer

    - #### gcBefore

          public final int gcBefore

  - ### Constructor Detail

    - #### ValidationRequest

          public ValidationRequest(RepairJobDesc desc,
                           int gcBefore)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation